Package generic.theme.laf

# Class FlatDarkUiDefaultsMapper

java.lang.Object
generic.theme.laf.UiDefaultsMapper
generic.theme.laf.FlatUiDefaultsMapper
generic.theme.laf.FlatDarkUiDefaultsMapper

public class FlatDarkUiDefaultsMapper extends FlatUiDefaultsMapper

- ## Field Summary

  ### Fields inherited from class generic.theme.laf.UiDefaultsMapper

  `defaultColorMatcher, defaultFontMatcher, defaults, ignoredJavaIds, LAF_COLOR_ID_PREFIX, LAF_FONT_ID_PREFIX, LAF_ICON_ID_PREFIX, LAF_PROPERTY_PREFIX, menuFontGrouper, tooltipColorGrouper, viewColorGrouper, viewFontGrouper`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `FlatDarkUiDefaultsMapper(UIDefaults defaults)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `assignNormalizedColorValues()`
  Populates the GThemeValueMap with normalized color ids.
  `protected void`
  `pickRepresentativeValueForColorGroups()`
  Defines the values to assign to all the system color ids based on the best representative value defined in the `BasicLookAndFeel`

  ### Methods inherited from class generic.theme.laf.FlatUiDefaultsMapper

  `registerIgnoredJavaIds`

  ### Methods inherited from class generic.theme.laf.UiDefaultsMapper

  `buildComponentToColorGrouperMap, buildComponentToFontGrouperMap, extractColorFontAndIconValuesFromDefaults, getNormalizedIdToLafIdMap, getNormalizedJavaDefaults, installGColorsIntoUIDefaults, installValuesIntoUIDefaults, overrideColor, pickRepresentativeValueForFontGroups, setComponentFont, setGroupColor, setGroupColorUsingJavaRepresentative, setGroupFont`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FlatDarkUiDefaultsMapper

    protected FlatDarkUiDefaultsMapper(UIDefaults defaults)

- ## Method Details

  - ### pickRepresentativeValueForColorGroups

    protected void pickRepresentativeValueForColorGroups()
    Description copied from class: `UiDefaultsMapper`
    Defines the values to assign to all the system color ids based on the best representative value defined in the `BasicLookAndFeel`
    Overrides:
      `pickRepresentativeValueForColorGroups` in class `UiDefaultsMapper`

  - ### assignNormalizedColorValues

    protected void assignNormalizedColorValues()
    Description copied from class: `UiDefaultsMapper`
    Populates the GThemeValueMap with normalized color ids. For example it will assign "laf.color.Button.background" to "system.color.bg.control".
    Overrides:
      `assignNormalizedColorValues` in class `UiDefaultsMapper`